/*
 xGL:Light.h
 Created by mantis on 4/07/05.
 Copyright 2005 xonko interactive. All rights reserved.
*/

#import <Cocoa/Cocoa.h>
#import "XGLNode.h"

@interface XGLLight : XGLNode {
	NSColor *diffuse;
	NSColor *ambient;
	NSColor *specular;
	
	BOOL enabled;
	int lightID;
	
	BOOL built;
	BOOL set;
	
	vector lastPos;
	
	GLenum gllightID;
	GLfloat positionW;
	
	GLfloat lDiffuse[4];
	GLfloat lAmbient[4];
	GLfloat lSpecular[4];
	
}

-(BOOL)enabled;
-(void)setEnabled:(BOOL)newEnabled;

- (NSColor *)diffuse;
- (void)setDiffuse:(NSColor *)value;

- (NSColor *)ambient;
- (void)setAmbient:(NSColor *)value;

- (NSColor *)specular;
- (void)setSpecular:(NSColor *)value;

+ (NSArray *)lightTypes;

@end
